package org.fouram.controller;

import org.fouram.core.base.controller.BaseController;
import org.fouram.core.util.AppUtil;
import org.fouram.core.util.AppUtil.ResultConstant;
import org.fouram.core.util.LoggerUtil;
import org.fouram.service.TaskService;
import org.fouram.service.TestUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping(value = "/task")
public class TaskController extends BaseController {

	@Autowired
	private TaskService taskService;
	@Autowired
	private TestUserService testUserService;

	@RequestMapping(value = "/syncWeixinUser", produces = "application/json;charset=utf-8")
	@ResponseBody
	public Object syncWeixinUser() {
		try {
			taskService.syncWeixinUser();
			return AppUtil.success();
		} catch (Exception e) {
			LoggerUtil.error(e);
			return AppUtil.error(ResultConstant.WEB_ERR_MSG);
		}
	}
	
	/**
	 * http://localhost:8080/sapcms/task/createOrUpdateWXUsersAnon
	 * @return
	 */
	@RequestMapping(value = "/createOrUpdateWXUsersAnon", produces = "application/json;charset=utf-8")
	@ResponseBody
	public Object createOrUpdateWXUsersAnon() {
		try {
			testUserService.createOrUpdateWXUsers();
			return AppUtil.success();
		} catch (Exception e) {
			LoggerUtil.error(e);
			return AppUtil.error(ResultConstant.WEB_ERR_MSG);
		}
	}
}