package org.fouram.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapUser")
public class SapUser implements Serializable {
	private static final long serialVersionUID = 1L;

	private String userId;
	private String personId;
	private String username;
	private String name;
	private String firstOrgId;
	private String secondOrgId;
	private String thirdOrgId;
	private String fourthOrgId;
	private String firstOrgName;
	private String secondOrgName;
	private String thirdOrgName;
	private String fourthOrgName;
	private Long firstOrgWxDepartId;
	private Long secondOrgWxDepartId;
	private Long thirdOrgWxDepartId;
	private Long fourthOrgWxDepartId;
	private String position;
	private String formatPosition;
	private String mobile;
	private String formatMobile;
	private String businessPhone;
	private String formatBusinessPhone;
	private String gender;
	private String email;
	private String formatEmail;
	private Boolean isPrimary;
	private String result;
	private Boolean delFlag;
	private Date createDate;
	private Integer sortNumber;
	
	private List<List<SapOrg>> departList;

	public String toCompareString() {
		StringBuilder sBuilder = new StringBuilder();
		sBuilder.append(userId).append(personId).append(name).append(firstOrgId).append(secondOrgId)
				.append(thirdOrgId).append(fourthOrgId).append(position).append(mobile).append(businessPhone)
				.append(gender).append(email).append(isPrimary);
		return sBuilder.toString();
	}
}
